# VCardDocumentFieldType enum

VCard document field type

Inheritance
  - Object
  - Enum
  - VCardDocumentFieldType

## Constructors

VCardDocumentFieldType()
  const

## Values

BeginTag → const VCardDocumentFieldType
EndTag → const VCardDocumentFieldType
Version → const VCardDocumentFieldType
Source → const VCardDocumentFieldType
Kind → const VCardDocumentFieldType
XML → const VCardDocumentFieldType
Name → const VCardDocumentFieldType
FirstName → const VCardDocumentFieldType
Nickname → const VCardDocumentFieldType
Birthday → const VCardDocumentFieldType
Anniversary → const VCardDocumentFieldType
Gender → const VCardDocumentFieldType
DeliveryAddress → const VCardDocumentFieldType
Photo → const VCardDocumentFieldType
TelephoneNumber → const VCardDocumentFieldType
Email → const VCardDocumentFieldType
IMPP → const VCardDocumentFieldType
Languages → const VCardDocumentFieldType
TimeZone → const VCardDocumentFieldType
GeoLocation → const VCardDocumentFieldType
Title → const VCardDocumentFieldType
Role → const VCardDocumentFieldType
Logo → const VCardDocumentFieldType
Organisation → const VCardDocumentFieldType
Member → const VCardDocumentFieldType
Related → const VCardDocumentFieldType
Categories → const VCardDocumentFieldType
Note → const VCardDocumentFieldType
ProductId → const VCardDocumentFieldType
Revision → const VCardDocumentFieldType
Sound → const VCardDocumentFieldType
UID → const VCardDocumentFieldType
ClientPIDMap → const VCardDocumentFieldType
URL → const VCardDocumentFieldType
PublicKey → const VCardDocumentFieldType
BusyTimeURL → const VCardDocumentFieldType
CalendarURIForRequests → const VCardDocumentFieldType
CalendarURI → const VCardDocumentFieldType
Custom → const VCardDocumentFieldType

## Properties

hashCode → int
  The hash code for this object.
  read-only inherited
index → int
  A numeric identifier for the enumerated value.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<VCardDocumentFieldType>
  A constant List of the values in this enum, in order of their declaration.
  `[BeginTag, EndTag, Version, Source, Kind, XML, Name, FirstName, Nickname, Birthday, Anniversary, Gender, DeliveryAddress, Photo, TelephoneNumber, Email, IMPP, Languages, TimeZone, GeoLocation, Title, …`